/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - obj03 for C++ */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called obj03,
 * and it's one field, message, can store an ASCII string. The program
 * will create a new record containing "Hello World" in the field, then
 * it will read through all records in the database and print their
 * contents.
 */
database obj03_db 
{
    data file "obj03_db.d01" contains artist;
    data file "obj03_db.d02" contains album;

    record artist
    {
        char    name[100];
    }

    record album
    {
        char    title[100];
    }

    set artist_album
    {
        order last;
        owner artist;
        member album;
    }
}

